# DAR_CP

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXIT CODES
SIGNALS
SEE ALSO
KNOWN BUGS
AUTHOR

## NAME

dar_cp \- ’cp’ clone command that is able to copy data located after an I/O error

## SYNOPSIS

dar_cp [-f] <source file> <destination file>

dar_cp -h

dar_cp -V

## DESCRIPTION

dar_cp is similar to the standard ’cp’ command, except it does not stop copying when an I/O error is met. Instead, it skips a bit further and continues to copy the rest of the file, as much as possible, filling the gaps by zeroed bytes.

dar_cp only accepts full filename (not directory) as argument. The reason of its existence in dar package is that you need it if you use Parchive with dar and have a corruption on a CD-R or any other read-only medium. You need to copy the corrupted slice on a read-write filesystem, for Parchive be able to repair it using slice associated redundancy files.

## OPTIONS

| -h |  | Displays help usage.
| -V |  | Displays version information.

-f

without -f option, dar_cp will abort if the destination file exists, this is to prevent human error. However it may be useful to have a special device as destination like when facing a disk corruption in a unused block. dar_cp can then copy the content of this disk to another one of equal or larger size. But in that case the destination is also a special device and has to exists before dar_cp runs, where from the need of -f option. Once the disk copy has finished, one can then eventually resize partitions and file-systems to leverage the new larger disk.

## EXIT CODES

dar_cp exists with the following codes:

| 0 |  | upon normal execution (be some corrupted parted skipped or not)
| 1 |  | syntax error on command-line
| 2 |  | could not open source or destination files
| 3 |  | any other system error met during the copy
| 5 |  | when some data could not be copied due to I/O error

## SIGNALS

Any signal sent to dar_cp will abort the program immediately, there is no way to have a proper termination before the end of the process

## SEE ALSO

dar(1), dar_xform(1), dar_manager(1), dar_slave(1), dar_split(1)

## KNOWN BUGS

http://sourceforge.net/p/dar/bugs/

## AUTHOR

http://dar.linux.free.fr/
Denis Corbin
France
Europe